Subject: CCCII bitmap tool uploaded to ifcss.org

From: christian wittern <[email-masked]>
Date: Mon, 30 Aug 1993 13:42:16 JST

Dear Netters,
I hacked a little tool together to make the beauty of the
CCCII-Characters available to people who own a VGA-card :-),
among others.
This is an early Version, which came to life only a few
hours ago, so don't expect too much.
I include the *.doc file at the end of this message, to
prevent people who wouldn't be able to use it from wasting
their time to download it.
It will be available on ifcss.org :/incoming, but might be
moved to a different location soon. I hope a copy will also
be placed on NCTUCCCA, together with the original files.
Document file for CCCII utility CCBM.EXE

First beat version 0.1,  29.8.1993

written by Christian Wittern [email-masked]

This little program provides some funcitonality to access the bitmapped
64*64 image files of the CCCII code. These bitmaps and a database are
available from:

ftp     NCTUCCCA.EDU.TW : Chinese/FONTS/CCDB

The whole package is about 42 MB. If you don't have this package or
are not interested in having just the fonts (*THIS IS NOT A CHINESE
SYSTEM THAT SUPPORTS CCCII*), this might not be the thing you want
to get. Watch out in the future, as something more useful might appear.

This archive contains the following files:
   CCBM.DOC     This file
   CCBM.EXE     The utility program
   *.IDX        Index files to access the bitmap files.
   BIG5.LIS     One example list file, which lets you extract the bitmaps
                for the BIG5 code. I haven't checked this thouroughly, so use
                it as your own risk

Instructions on how to install follow further below.

This program allows you to call the bitmaps of the characters in the *.img
files. You must use the 3 byte CCCII code in hex notation to call the
characters, so if you don't have documentation on CCCII, you are some-
what out of luck.
The code ranges are the following :

  212121 to 23607E for frequently used characters (these are arranged by
                   Kangxi-Radical and strokecount, in two levels of
                   4808 most frequently used characters   and
                   17032 next frequently used characters.
                   These are in the file NF.IMG
  212361 to 262543 Rarely used characters, file RARELY.IMG

  27XXXX to 29XXXX are simpliefied characters, where XXXX is the corresponding
                   code of the traditional form.
  above 2DXXXX are variant forms, XXXX refers to the regular form.

  Simplified and variant forms are in VF.IMG and NEW-VF.IMG in no specific
  order.

Installation:
  Copy the *.idx files to the same location where the *.img files are stored.
  Set an environment string IMG to point to that location. This can be done
  by the DOS command SET, e.g.

  SET IMG=F:\IMG

   if that is, where the files are stored.

  Copy the program file ccbm.exe to wherever you can access it easily

Usage:

  You can get the bitmap data in one of three formats:

  Command-line option     Result

  /B                      Windows 3.X compatible *.BMP file, where * will be
                          the corresponding CCCII code. You can load this
                          bitmap and copy or paste it in you applications,
                          where you want to use it.
  /F                      Copies the bitmap unchanged to a font-file, default
                          name CCCII.FON. This is not a Windowas font, but
                          rather has the bitmaps sequentiell stored one after
                          the other, without additional information. One bitmap
                          for 64*64 character is 512 bytes long, for 32*32 it
                          is 128 bytes.
  /H                      Sends the bitmap in Hex-format to stdout. This can be
                          used in RTF-Files to include it as inline bitmap. The
                          required RTF instruction to include a 64*64 inline
                          bitmap would be:
                          {\\pict\\wbitmap0\\picw64\\pich64\\wbmbitspixel1\\wbmplanes1\\wbmwidthbytes8\\picwgoal600\\pichgoal600
                          (Here follows the hex-output, the group
                          is terminated by a "}")
                          RTF is the platform-independent file
                          -format developped by Microsoft. I believe
                          this might be a way to transport the
                          bitmaps to the Macintosh
  /L                      is required if you want to use a list-file.
  /R                      reduces the size for all output options from 64*64
                          to 32*32.

This program was hacked together in a few hours and is, of course released as
it is, without any warranty. It does not check the input for possible errors,
but will simply die uungracefully. There might also be some logical errors in
the whole setup. Please report any problems to me.

I strongly believe, that CCCII is very important for any project concerned
with inputting large amount of Chinese text for scholarly purposes, but un-
fortunately has the usage so far almost totally been limited to library
cataloguing (Please correct me, if I'm wrong). I hope this utility might
contribute to broaden the audience for CCCII and scholarly use of Computers
in East-Asian Studies in genereal.

One implementation of CCCII that I'm aware of is a PC add-on card, wich
contains the fonts, it is available from JOIN Computer, FAX +886 2 7859136.

A nice day to everybody,

Christian  Wittern